Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.rn.baselegaldata.v1
Class DeceaseInfoDeclarationType

    java.lang.Object
      be.fgov.ehealth.rn.baselegaldata.v1.DeceaseInfoDeclarationType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2024-09-05T10:53:32+02:00",
               comments="JAXB RI v2.3.6")
    public class DeceaseInfoDeclarationType

extends Object
implements Serializable

Java class for DeceaseInfoDeclarationType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DeceaseInfoDeclarationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="DeceaseDate" type="{urn:be:fgov:ehealth:rn:commons:business:v1}IncompleteDateType" minOccurs="0"/>
             <element name="DeceasePlace" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}LocationDeclarationType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`DeceaseInfoDeclarationType()`

Method Summary
`String` | `getDeceaseDate()` Gets the value of the deceaseDate property.
`LocationDeclarationType` | `getDeceasePlace()` Gets the value of the deceasePlace property.
`void` | `setDeceaseDate(String value)` Sets the value of the deceaseDate property.
`void` | `setDeceasePlace(LocationDeclarationType value)` Sets the value of the deceasePlace property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeceaseInfoDeclarationType

    public DeceaseInfoDeclarationType()

Method Detail

### getDeceaseDate

    public String getDeceaseDate()

  Gets the value of the deceaseDate property.

  Returns:
    possible object is `String`

### setDeceaseDate

    public void setDeceaseDate(String value)

  Sets the value of the deceaseDate property.

  Parameters:
    `value` - allowed object is `String`

### getDeceasePlace

    public LocationDeclarationType getDeceasePlace()

  Gets the value of the deceasePlace property.

  Returns:
    possible object is `LocationDeclarationType`

### setDeceasePlace

    public void setDeceasePlace(LocationDeclarationType value)

  Sets the value of the deceasePlace property.

  Parameters:
    `value` - allowed object is `LocationDeclarationType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.